Consultar cuenta bancaria
curl --request GET \
--url https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 456,
"bank": 7,
"bank_detail": {
"id": 7,
"name": "BANCO SANTANDER-CHILE",
"sbif_code": "037",
"additional_brands": "Banefe",
"is_active": true
},
"account_type": "checking",
"account_type_display": "Cuenta Corriente",
"account_number": "1234567890",
"include_in_emails": true,
"created_at": "2026-04-06T12:00:00Z",
"updated_at": "2026-04-06T12:00:00Z"
}Cuenta Bancaria
Consultar cuenta bancaria
Retorna la cuenta bancaria registrada para el destinatario.
GET
/
master-entities
/
{master_entity_id}
/
banking-info
/
Consultar cuenta bancaria
curl --request GET \
--url https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v1/master-entities/{master_entity_id}/banking-info/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 456,
"bank": 7,
"bank_detail": {
"id": 7,
"name": "BANCO SANTANDER-CHILE",
"sbif_code": "037",
"additional_brands": "Banefe",
"is_active": true
},
"account_type": "checking",
"account_type_display": "Cuenta Corriente",
"account_number": "1234567890",
"include_in_emails": true,
"created_at": "2026-04-06T12:00:00Z",
"updated_at": "2026-04-06T12:00:00Z"
}¿Para qué se usa?
Consulta la cuenta bancaria registrada para un destinatario. Útil para verificar antes de crear cobros que el destinatario ya tiene cuenta bancaria.Qué hace
- Retorna la cuenta bancaria activa del destinatario y los datos del banco asociado (
bank_detail). - Devuelve
404si el destinatario aún no registró cuenta bancaria.
Consideraciones importantes
Requisito previo para crear cobros
Para crear una sesión de cobro, el destinatario debe tener una cuenta bancaria registrada. Si no la tiene,POST /v1/payment-requests/ retornará el error RECIPIENT_MISSING_BANKING_INFO.Authorizations
API Key para autenticación. Formato: Api-Key YOUR-API-KEY
Path Parameters
ID del destinatario (MasterEntity).
Response
Cuenta bancaria del destinatario
Example:
456
ID en BD del banco.
Example:
7
Información expandida del banco.
Show child attributes
Show child attributes
Available options:
checking, savings, current Example:
"checking"
Etiqueta legible en español del tipo de cuenta.
Example:
"Cuenta Corriente"
Example:
"1234567890"
Example:
true
Example:
"2026-04-06T12:00:00Z"
Example:
"2026-04-06T12:00:00Z"
